[Unit]
Description=Nomad Server Agent
Documentation=https://www.nomadproject.io/docs
Wants=network-online.target
After=network-online.target

[Service]
ExecReload=/bin/kill -HUP $MAINPID
ExecStart=/usr/bin/nomad agent --config /etc/nomad.d
KillMode=process
KillSignal=SIGINT
LimitNOFILE=infinity
LimitNPROC=infinity
Restart=on-failure
RestartSec=2
StartLimitBurst=3
SyslogIdentifier=nomad
TasksMax=infinity
TimeoutStopSec=5
User=nomad
Group=nomad

[Install]
WantedBy=multi-user.target
